Package org.codehaus.groovy.tools.groovydoc

# Class GroovyDocTool

java.lang.Object
org.codehaus.groovy.tools.groovydoc.GroovyDocTool

public class GroovyDocTool extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Properties`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyDocTool(String[] sourcepaths)`
  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)`
  `GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, Properties properties)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(List<String> filenames)`
  `GroovyRootDoc`
  `getRootDoc()`
  `void`
  `renderToOutput(OutputTool output, String destdir)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### properties

    protected Properties properties

- ## Constructor Details

  - ### GroovyDocTool

    public GroovyDocTool(String[] sourcepaths)
    Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
    Parameters:
      `sourcepaths` - where the sources to be added can be found

  - ### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String classTemplate)

  - ### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String[] sourcepaths, String[] docTemplates, String[] packageTemplates, String[] classTemplates, List<LinkArgument> links, Properties properties)

- ## Method Details

  - ### add

    public void add(List<String> filenames) throws IOException
    Throws:
      `IOException`

  - ### getRootDoc

    public GroovyRootDoc getRootDoc()

  - ### renderToOutput

    public void renderToOutput(OutputTool output, String destdir) throws Exception
    Throws:
      `Exception`